Bug 6244 - Mesa's SGI GLU code conflicts with glibc 2.4 internal functions
Summary: Mesa's SGI GLU code conflicts with glibc 2.4 internal functions
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: GLU (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-13 14:07 UTC by Joshua Baergen
Modified: 2006-03-14 07:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
mesa-glibc-2.4-compat.patch (28.44 KB, patch)
2006-03-13 14:08 UTC, Joshua Baergen
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Baergen 2006-03-13 14:07:16 UTC
The SGI GLU code uses 'dprintf', which happens to be a function available in
glibc 2.4.  The patch below renames dprintf to __mesa_dprintf.

Discovered and solved by SpanKY <vapier AT gentoo DOT org >.
Comment 1 Joshua Baergen 2006-03-13 14:08:05 UTC
Created attachment 4915 [details] [review]
mesa-glibc-2.4-compat.patch

Patch is against current CVS HEAD, but that code hasn't changed in 2-4 years or
so.
Comment 2 Donnie Berkholz 2006-03-13 15:59:23 UTC
(In reply to comment #0)
> Discovered and solved by SpanKY <vapier AT gentoo DOT org >.

His real name is Mike Frysinger.
Comment 3 Brian Paul 2006-03-15 02:10:36 UTC
Fixed in CVS. Though I used _glu_dprintf() instead of __mesa_printf() since,
strictly speaking, this isn't Mesa code.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.